
List transactionsPOST
OpenStock Docs
POST
/
api/customer-balance-api/customers/transactionscustomer_balance_apiReturns a customer’s balance history. Pagination parameters go in the body for this endpoint.
Authorization#
AuthorizationBearer <token>In: header. A store API key starting with sk_ that has the customer_balance_api permission.
Request body#
application/json
emailrequiredstringCustomer email address.
typestringFilter by credit or debit.
limitintegerBetween 1 and 100. Default: 20
offsetintegerNumber of results to skip. Default: 0
Responses#
- 200A page of transactions.
- 404Unknown customer.
- 401Missing, malformed, disabled or expired API key.